<div class="accordion">
    <div id="conditionAndEquipment" class="accordion-item">
        <h2 class="accordion-header">
            <button class="accordion-button fs-5" type="button" data-coreui-toggle="collapse"
                    data-coreui-target="#conditionAndEquipmentContent" aria-expanded="true"
                    aria-controls="conditionAndEquipmentContent">
                Zustand und Ausstattung
            </button>
        </h2>
        <div id="conditionAndEquipmentContent" class="accordion-collapse collapse show pb-4">
            <div class="accordion-body">
                <div class="row g-3 mb-3">
                    <div class="col-md-4">
                        {{ form_row(form.building.buildingType) }}
                    </div>
                    <div class="col-md-4">
                        {{ form_row(form.building.roofShape) }}
                    </div>
                    <div class="col-md-4">
                        {{ form_row(form.building.buildingCondition) }}
                    </div>
                    <div class="col-md-4">
                        {{ form_row(form.building.buildingStandard) }}
                    </div>
                    <div class="col-md-4">
                        {{ form_row(form.heatingMethod) }}
                    </div>
                    <div class="col-md-4">
                        {{ form_row(form.building.constructionYear) }}
                    </div>
                    <div class="col-md-4">
                        {{ form_row(form.building.buildingBlockCode) }}
                    </div>
                    <div class="col-md-4">
                        {{ form_row(form.numberOfParkingLots) }}
                    </div>
                </div>
                <div class="row g-4">
                    <div class="col-sm-6 col-lg-4">
                        <div class="mb-1"><b>Denkmalschutz</b></div>
                        {% for monumentProtectionType in form.building.monumentProtectionTypes %}
                            <div>
                                {{ form_row(monumentProtectionType) }}
                            </div>
                        {% endfor %}
                        <div class="mt-3"><b>Klimatisiert</b></div>
                        <div>
                            {{ form_row(form.airConditioned) }}
                        </div>
                    </div>
                    <div class="col-sm-6 col-lg-4">
                        <div class="mb-1"><b>Barrierefreiheit</b></div>
                        <div>
                            {{ form_row(form.barrierFreeAccess) }}
                        </div>
                        <div>
                            {{ form_row(form.wheelchairAccessible) }}
                        </div>
                        <div>
                            {{ form_row(form.rampPresent) }}
                        </div>
                        <div>
                            {{ form_row(form.entranceDoorWidth, {'suffix': 'm'}) }}
                        </div>
                    </div>
                    <div class="col-sm-6 col-lg-4">
                        <div class="mb-1"><b>Fenster</b></div>
                        {% for windowType in form.building.windowTypes %}
                            <div>
                                {{ form_row(windowType) }}
                            </div>
                        {% endfor %}
                    </div>
                    <div class="col-sm-6 col-lg-4">
                        <div class="mb-1"><b>Aufzug</b></div>
                        {% for liftType in form.building.liftTypes %}
                            <div>
                                {{ form_row(liftType) }}
                            </div>
                        {% endfor %}
                        <div class="mt-3 mb-1"><b>Internetanschluss</b></div>
                        {% for internetConnectionType in form.building.internetConnectionTypes %}
                            <div>
                                {{ form_row(internetConnectionType) }}
                            </div>
                        {% endfor %}
                    </div>
                    <div class="col-lg-4">
                        <div class="mb-1"><b>ESG-Zertifizierung</b></div>
                        <div>
                            {{ form_row(form.building.esgCertificateAvailable) }}
                        </div>
                        <div id="{{ form.building.vars.id }}_esgContent" class="d-none">
                            <div class="mb-3">
                                {% include 'component/multiselect_component.html.twig' with {
                                    'id': form.building.esgCertificates.vars.id,
                                    'label': form.building.esgCertificates.vars.label,
                                    'choices': form.building.esgCertificates.children
                                } only %}
                            </div>
                            <div class="mb-3">
                                {{ form_row(form.building.esgCertificateDetailInformation, {'rows': 3}) }}
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="mb-1"><b>Weitere Objektangaben</b></div>
                        <div>
                            {{ form_row(form.shopWindowAvailable) }}
                            <div id="{{ form.vars.id }}_shopWindowContent" class="mb-3 d-none">
                                {{ form_row(form.shopWindowFrontWidth, {'suffix': 'm'}) }}
                            </div>
                        </div>
                        <div>
                            {{ form_row(form.shopWidth, {'suffix': 'm'}) }}
                        </div>
                        <div class="mt-3">
                            {{ form_row(form.groundLevelSalesArea) }}
                        </div>
                        <div class="mt-3">
                            {{ form_row(form.showroomAvailable) }}
                        </div>
                    </div>
                    <div class="col-12">
                        {{ form_row(form.particularities, {'rows': 4}) }}
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="roomsAndSpace" class="accordion-item">
        <h2 class="accordion-header">
            <button class="accordion-button fs-5" type="button" data-coreui-toggle="collapse"
                    data-coreui-target="#propertySpacesDataContent" aria-expanded="true"
                    aria-controls="roomsAndSpaceContent">
                Räume und Flächen
            </button>
        </h2>
        <div id="propertySpacesDataContent" class="accordion-collapse collapse show pb-4">
            <div class="accordion-body">
                {% include 'property_vacancy_management/form/property/property_spaces_data_form.html.twig' with {'form': form.propertySpacesData} only %}
            </div>
        </div>
    </div>
    <div id="location" class="accordion-item">
        <h2 class="accordion-header">
            <button class="accordion-button fs-5" type="button" data-coreui-toggle="collapse"
                    data-coreui-target="#locationContent" aria-expanded="true"
                    aria-controls="locationContent">
                Lage
            </button>
        </h2>
        <div id="locationContent" class="accordion-collapse collapse show pb-4">
            <div class="accordion-body">
                <div class="row g-3 mb-3">
                    <div class="col-md-6">
                        {{ form_row(form.building.locationType) }}
                    </div>
                    <div class="col-md-6">
                        {{ form_row(form.building.locationCategory) }}
                        {% if (calculatedLocationCategory != null) %}
                            <div class="pt-2" id="{{ form.building.vars.id }}_useCalculatedLocationCategoryContainer">
                                <small>
                                    Das Objekt scheint laut Geokoordinate in <strong>{{ calculatedLocationCategory.getName() }}</strong> zu liegen.
                                    <button class="mdc-button mdc-button--icon-leading" id="{{ form.building.vars.id }}_useCalculatedLocationCategoryAction" data-location-category-value="{{ calculatedLocationCategory.value }}">
                                        <u>ÜBERNEHMEN</u>
                                    </button>
                                </small>
                            </div>
                        {% endif %}
                    </div>
                </div>
                <div class="row g-3 mb-3">
                    <div class="col-md-3">
                        {{ form_row(form.inFloors) }}
                    </div>
                    <div class="col-md-3">
                        {{ form_row(form.building.numberOfFloors) }}
                    </div>
                    <div class="col-md-6">
                        {% include 'component/multiselect_component.html.twig' with {
                            'id': form.building.locationFactors.vars.id,
                            'label': form.building.locationFactors.vars.label,
                            'choices': form.building.locationFactors.children
                        } only %}
                    </div>
                </div>
                <div class="row g-3">
                    <div class="col-12">
                        {{ form_row(form.neighbourBusiness) }}
                    </div>
                    <div class="col-12">
                        {{ form_row(form.passantFrequencyGenerator) }}
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="interimUse" class="accordion-item">
        <h2 class="accordion-header">
            <button class="accordion-button fs-5" type="button" data-coreui-toggle="collapse"
                    data-coreui-target="#interimUseContent" aria-expanded="true"
                    aria-controls="interimUseContent">
                Zwischennutzung
            </button>
        </h2>

        <div id="interimUseContent" class="accordion-collapse collapse show pb-4">
            <div class="accordion-body">
                <div class="row g-3">
                    <div class="col">
                        {% include 'component/mdc_switch_component.html.twig' with {
                            'id': form.vars.id ~ '_interim_use_possible_mdc_switch',
                            'label': 'Zwischennutzung des Objekts möglich'
                        } only %}
                        {{ form_widget(form.interimUsePossible) }}
                    </div>
                </div>
                <div id="{{ form.vars.id }}_interim_use_details" class="row g-3 mt-3 d-none">
                    <div class="col-12">
                        {{ form_row(form.interimUseInformation, {'rows': 4}) }}
                    </div>
                    <div class="col-lg-4">
                        <div><b>Objekt geeignet für/als</b></div>
                        {% for interimUseType in form.interimUseTypes %}
                            <div>
                                {{ form_row(interimUseType) }}
                            </div>
                        {% endfor %}
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="energyCertificate" class="accordion-item">
        <h2 class="accordion-header">
            <button class="accordion-button fs-5" type="button" data-coreui-toggle="collapse" data-coreui-target="#energyCertificateContent" aria-expanded="true" aria-controls="energyCertificateContent">
                Energieausweis
            </button>
        </h2>
        <div id="energyCertificateContent" class="accordion-collapse collapse show pb-4">
            <div class="accordion-body">
                <div class="row g-3">
                    <div class="col-12">
                        {% include 'component/mdc_switch_component.html.twig' with {
                            'id': form.vars.id ~ '_energy_certificate_is_available_mdc_switch',
                            'label': 'Energieausweis liegt vor'
                        } only %}
                        {{ form_widget(form.energyCertificateIsAvailable) }}
                    </div>
                </div>
                <div id="{{ form.vars.id }}_energy_certificate_details" class="d-none">
                    {% include 'property_vacancy_management/form/building_unit/energy_certificate_form.html.twig' with {'form': form.energyCertificate} only %}
                </div>
            </div>
        </div>
    </div>
    <div id="foreclosure" class="accordion-item">
        <h2 class="accordion-header">
            <button class="accordion-button fs-5" type="button" data-coreui-toggle="collapse" data-coreui-target="#foreclosureContent" aria-expanded="true" aria-controls="foreclosureContent">
                Zwangsversteigerung
            </button>
        </h2>
        <div id="foreclosureContent" class="accordion-collapse collapse show pb-4">
            <div class="accordion-body">
                <div class="row g-3">
                    <div class="col-12">
                        {% include 'component/mdc_switch_component.html.twig' with {
                            'id': form.vars.id ~ '_object_foreclosed_mdc_switch',
                            'label': 'Objekt wird Zwangsversteigert'
                        } only %}
                        {{ form_widget(form.objectForeclosed) }}
                    </div>
                </div>
                <div id="{{ form.vars.id }}_object_foreclosure_details" class="row g-3 mt-3 d-none">
                    <div class="col-sm-4">
                        {{ form_row(form.fileNumberForeclosure) }}
                    </div>
                    <div class="col-sm-4">
                        {{ form_row(form.auctionDate) }}
                    </div>
                    <div class="col-sm-4">
                        {{ form_row(form.responsibleLocalCourt) }}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
